AddUpdateCommand (Solr 3.6.2 API)
Keywords: org.apache.solr.update.AddUpdateCommand class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.update
Class AddUpdateCommand

    java.lang.Object
      org.apache.solr.update.UpdateCommand
          org.apache.solr.update.AddUpdateCommand

    public class AddUpdateCommand

extends UpdateCommand

Version:
  $Id: AddUpdateCommand.java 1145201 2011-07-11 15:18:47Z yonik $

Field Summary
`boolean` | `allowDups`
`int` | `commitWithin`
`Document` | `doc`
`String` | `indexedId`
`boolean` | `overwriteCommitted`
`boolean` | `overwritePending`
`SolrInputDocument` | `solrDoc`
`Term` | `updateTerm`

Fields inherited from class org.apache.solr.update.UpdateCommand
`commandName`

Constructor Summary
`AddUpdateCommand()`

Method Summary
`void` | `clear()` Reset state to reuse this object with a different document in the same request
`String` | `getIndexedId(IndexSchema schema)`
`Document` | `getLuceneDocument(IndexSchema schema)`
`String` | `getPrintableId(IndexSchema schema)`
`SolrInputDocument` | `getSolrInputDocument()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### indexedId

    public String indexedId

### doc

    public Document doc

### solrDoc

    public SolrInputDocument solrDoc

### allowDups

    public boolean allowDups

### overwritePending

    public boolean overwritePending

### overwriteCommitted

    public boolean overwriteCommitted

### updateTerm

    public Term updateTerm

### commitWithin

    public int commitWithin

Constructor Detail

### AddUpdateCommand

    public AddUpdateCommand()

Method Detail

### clear

    public void clear()

  Reset state to reuse this object with a different document in the same request

### getSolrInputDocument

    public SolrInputDocument getSolrInputDocument()

### getLuceneDocument

    public Document getLuceneDocument(IndexSchema schema)

### getIndexedId

    public String getIndexedId(IndexSchema schema)

### getPrintableId

    public String getPrintableId(IndexSchema schema)

### toString

    public String toString()

  Overrides:
    `toString` in class `UpdateCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD